Bug 1704607 - Remove /etc/boinc-client from systemd unit file
Summary: Remove /etc/boinc-client from systemd unit file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: boinc-client
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-30 08:19 UTC by Germano Massullo
Modified: 2019-08-31 01:46 UTC (History)
4 users (show)

Fixed In Version: boinc-client-7.16.1-4.fc30 boinc-client-7.16.1-4.fc29 boinc-client-7.16.1-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-25 00:57:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Germano Massullo 2019-04-30 08:19:42 UTC
Description of problem:
Personal reminder
https://github.com/BOINC/boinc/pull/2873
contains in file client/scripts/boinc-client.service.in the line

ReadWritePaths=-/var/lib/boinc -/etc/boinc-client

but on Fedora / EPEL, the folder /etc/boinc-client does not exist, so it should be removed

Comment 1 Fedora Update System 2019-08-12 10:41:14 UTC
FEDORA-EPEL-2019-7a6db37393 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7a6db37393

Comment 2 Fedora Update System 2019-08-12 10:50:21 UTC
FEDORA-2019-9756730cbd has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9756730cbd

Comment 3 Fedora Update System 2019-08-12 10:50:24 UTC
FEDORA-2019-8d03feeedf has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8d03feeedf

Comment 4 Fedora Update System 2019-08-13 01:51:16 UTC
boinc-client-7.16.1-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9756730cbd

Comment 5 Fedora Update System 2019-08-13 01:55:10 UTC
boinc-client-7.16.1-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8d03feeedf

Comment 6 Fedora Update System 2019-08-13 03:49:25 UTC
boinc-client-7.16.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7a6db37393

Comment 7 Ben Cotton 2019-08-13 17:03:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 8 Ben Cotton 2019-08-13 17:10:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 9 Fedora Update System 2019-08-16 12:55:26 UTC
FEDORA-EPEL-2019-6f697150f2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6f697150f2

Comment 10 Fedora Update System 2019-08-16 13:00:42 UTC
FEDORA-2019-d5c3c104c1 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d5c3c104c1

Comment 11 Fedora Update System 2019-08-17 00:07:52 UTC
boinc-client-7.16.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6f697150f2

Comment 12 Fedora Update System 2019-08-17 01:27:42 UTC
boinc-client-7.16.1-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-92396c3f9f

Comment 13 Fedora Update System 2019-08-17 02:23:48 UTC
boinc-client-7.16.1-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d5c3c104c1

Comment 14 Fedora Update System 2019-08-25 00:57:09 UTC
boinc-client-7.16.1-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-08-25 03:03:21 UTC
boinc-client-7.16.1-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-08-31 01:46:13 UTC
boinc-client-7.16.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.